oyranos-profiles(1)

NAME
oyranos-profiles - Oyranos CMS ICC profiles tool

SYNOPSIS
oyranos-profiles -l [-f] [-e] [-acdknot]
oyranos-profiles -p [-usym]
oyranos-profiles --install [-u|-s|-y|-m] PROFILENAME
oyranos-profiles [ |-h ]

DESCRIPTION
The oyranos-profiles programm let you query and install profile(s) for OpenICC compliant applications.

OPTIONS

-l  list installed profiles.

    -f show full filename including path.

    -e show internal name. The text string comes from the 'desc' tag.

    Following options are filters and can be added to each other.
    -a show profiles of the abstract class
    -c show profiles of the color space class
    -d show profiles of the display class
    -k show profiles of the device link class
    -n show profiles of the named color 2 class
    -o show profiles of the output device class
    -i show profiles of the input device class

-p  show search paths according to the OS colour management system and to the actual OpenICC profile search paths.

    -u user path

    -s Linux system path

    -y Oyranos path

    -m machine specific path

--install
    install a ICC profile into one of the following OpenICC paths.

    One of the following options is a required arument to the --install option.
    -u user path

    -s Linux system path

    -y Oyranos path

    -m machine specific path

    The following options must be specified before the --install option.
    --gui use a graphical X user interface for error messages

    --taxi TAXI_ID Taxi profile ID to download

GENERAL OPTIONS

-v, --verbose
    increase verbosity

ENVIRONMENT

OY_DEBUG
    set the Oyranos debug level. Alternatively the -v option can be used.

XDG_DATA_HOME XDG_DATA_DIRS
    route Oyranos to top directories containing resources. The derived paths for ICC profiles have a "color/icc" appended.
    http://www.oyranos.com/wiki/index.php?title=OpenIccDirectoryProposal

EXAMPLES

List all installed profiles by internal name:
    oyranos-profiles -le

List all installed profiles of the display and output device classes:
    oyranos-profiles -l -od

List all installed profiles in user path:
    oyranos-profiles -lf | grep `oyranos-profiles -pu`

Install a profile for the actual user and show error messages in a GUI:
    oyranos-profiles --gui --install -u profilename

Install a profile for the actual user and show error messages in a GUI:
    oyranos-profiles --taxi=taxi_id/0 --gui --install -u

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2010-2012, Kai-Uwe Behrmann and others
License: new BSD <http://www.opensource.org/licenses/bsd-license.php>

SEE ALSO
oyranos-config-fltk(1) oyranos-config(1) oyranos(3)
http://www.oyranos.org

BUGS
at: http://sourceforge.net/tracker/?group_id=177017&atid=879553